All Frameworks Object Hierarchy This Framework Indexes
This version allows to manage groups and annotated views.
o Property AnnotatedViews( | ) As (Read Only) |
WARNING: this method will be DEPRECATED in the next release. It is recommended to use the method GetTechnologicalObject("AnnotatedViews") on the root product, to retrieve the AnnotatedViews collection.
Dim TheNavigatorWorkbench As Workbench Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( "NavigatorWorkbench" ) Dim TheAnnotatedViewsList As AnnotatedViews Set TheAnnotatedViewsList = TheNavigatorWorkbench.AnnotatedViews
o Property DMUDataFlow( | ) As (Read Only) |
o Property Groups( | ) As (Read Only) |
WARNING: this method will be DEPRECATED in the next release. It is recommended to use the method GetTechnologicalObject("Groups") on the root product, to retrieve the Groups collection.
Dim TheNavigatorWorkbench As Workbench Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( "NavigatorWorkbench" ) Dim TheGroupsList As Groups Set TheGroupsList = TheNavigatorWorkbench.Groups
o Property Hyperlinks( | ) As (Read Only) |
WARNING: this method will be DEPRECATED in the next release. It is recommended to use the method GetTechnologicalObject("Hyperlinks") on the root product, to retrieve the Hyperlinks collection.
Dim TheNavigatorWorkbench As Workbench Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( "NavigatorWorkbench" ) Dim HyperlinksList As Hyperlinks Set HyperlinksList = TheNavigatorWorkbench.Hyperlinks
o Property Marker3Ds( | ) As (Read Only) |
WARNING: this method will be DEPRECATED in the next release. It is recommended to use the method GetTechnologicalObject("Marker3Ds") on the root product, to retrieve the Marker3Ds collection.
Dim TheNavigatorWorkbench As Workbench Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( "NavigatorWorkbench" ) Dim TheMarker3DsList As AnnotatedViews Set TheMarker3DsList = TheNavigatorWorkbench.Marker3Ds
o Sub AdvancedView( | iAnnotatedView, | |
iViewOption) |
TheNavigatorWorkbench.View,CatAnnotatedViewCmdOption_NoAnimation+CatAnnotatedViewCmdOption_NoToolbar(NewAnnotatedView)
o Func GetOrder( | iObject) As |
Dim TheNavigatorWorkbench As Workbench Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( "NavigatorWorkbench" ) Dim NewAnnotatedView As AnnotatedView Set NewAnnotatedView = TheAnnotatedViews.Add Dim iOrder As Integer iOrder = TheNavigatorWorkbench.GetOrder(NewAnnotatedView)
o Sub SetOrder( | iObject, | |
iNewRank) |
Dim TheNavigatorWorkbench As Workbench Set TheNavigatorWorkbench = CATIA.ActiveDocument.GetWorkbench ( "NavigatorWorkbench" ) Dim NewAnnotatedView As AnnotatedView Set NewAnnotatedView = TheAnnotatedViews.Add TheNavigatorWorkbench.SetOrder NewAnnotatedView, 1
o Sub View( | iAnnotatedView) |
TheNavigatorWorkbench.View(NewAnnotatedView)
Copyright © 2003, Dassault Systèmes. All rights reserved.